PUT - Update issue by id
Update issue by id
Request
- Method:
PUT - Endpoint:
/issues/{id} - Base URL:
https://api.targpatrol.com/api/v1 - Operation ID:
update-issue
Authorization
This endpoint requires an external API key.
x-api-key: {your_external_api_key}
Request Body
Required: no
Content-Type: application/json
Schema: IssueUpdateRequest
Schema
{
"$ref": "#/components/schemas/IssueUpdateRequest"
}
Example: example-1
{
"name": "Issue",
"description": "Description",
"typeId": "cfd47385-fc8e-4727-a1b5-383e1842af1b",
"priority": "MAJOR",
"assigneeId": "46ed469f-38f9-44fc-b6d5-9ec34f1e03cd",
"untilDate": "2023-12-31T00:00:00.000Z",
"locationId": "663745ce-daf9-4c0b-8616-e12ed40e6a34",
"pointId": "59623848-fb58-4e19-b686-724d42d53c95",
"email": "manager@mail.com",
"mediaIds": [
"44100168-11b1-4396-b863-96872820ab5f"
],
"status": "OPEN"
}
Responses
200 OK
Content-Type: application/json
Schema: IssueResponse
Schema
{
"$ref": "#/components/schemas/IssueResponse"
}
Example: example
{
"id": "4adbc000-3095-42f3-bddd-d8a1da1ab2bd",
"name": "Issue",
"description": "Description",
"typeId": "cfd47385-fc8e-4727-a1b5-383e1842af1b",
"status": "OPEN",
"priority": "MAJOR",
"assigneeId": "46ed469f-38f9-44fc-b6d5-9ec34f1e03cd",
"seen": false,
"untilDate": "2023-12-31T00:00:00.000Z",
"locationId": "663745ce-daf9-4c0b-8616-e12ed40e6a34",
"pointId": "59623848-fb58-4e19-b686-724d42d53c95",
"email": "manager@mail.com",
"mediaIds": [
"44100168-11b1-4396-b863-96872820ab5f"
]
}
400 Bad Request
Content-Type: application/json
Schema: ErrorResponse
Schema
{
"$ref": "#/components/schemas/ErrorResponse"
}
Example: example-1
{
"message": "invalid input data",
"code": "input.data.invalid",
"timestamp": "2023-03-07T05:57:59.315Z",
"details": [
{
"message": "invalid data type",
"code": "data.type.invalid",
"identifier": "id",
"args": [
"[UUID]"
]
}
]
}
401 Unauthorized
404 Not Found
Content-Type: application/json
Schema: ErrorResponse
Schema
{
"$ref": "#/components/schemas/ErrorResponse"
}
Example: example-1
{
"message": "resource wasn't found",
"code": "not.found",
"timestamp": "2023-03-07T05:57:59.315Z"
}
500 Internal Server Error
Content-Type: application/json
Schema: ErrorResponse
Schema
{
"$ref": "#/components/schemas/ErrorResponse"
}
Example: example-1
{
"message": "internal server error",
"code": "internal.server.error",
"timestamp": "2023-03-07T05:57:59.315Z"
}